package me.nvus.hardcoreessentials.listeners;

import me.nvus.hardcoreessentials.util.PlayerDataUtil;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.PlayerDeathEvent;

public class DeathListener implements Listener {

    @EventHandler
    public void onPlayerDeath(PlayerDeathEvent event) {
        Player player = event.getEntity();

        // Utilizing PlayerDataUtil to wipe player data
        PlayerDataUtil.deletePlayerData(player);

        // Attempt to remove player's home and bed via Essentials
        Bukkit.dispatchCommand(Bukkit.getConsoleSender(), "delhome " + player.getName() + ":home");
        Bukkit.dispatchCommand(Bukkit.getConsoleSender(), "delhome " + player.getName() + ":bed");

        // Reset player's balance via Essentials
        Bukkit.dispatchCommand(Bukkit.getConsoleSender(), "eco reset " + player.getName());
    }
}
